import { jsx } from "react/jsx-runtime";
import { TokenFCT as TokenFCT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenFCT = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "FCT", "data-name": "TokenFCT", ...props, children: /* @__PURE__ */ jsx(TokenFCT$1, { variant }) });
  }
);
TokenFCT.displayName = "TokenFCT";
Object.assign(TokenFCT, { isGdsIcon: true });
export {
  TokenFCT
};
